#include <stdio.h>
#include <gtk/gtk.h>
#include <glade/glade.h>

gboolean on_button1_clicked(GtkWidget *widget, GdkEventButton *event,                          				    gpointer user_data)
{
    printf("I said...\n");
}
gboolean on_button2_clicked(GtkWidget *widget, GdkEventButton *event,                          				    gpointer user_data)
{
    printf("Please don't...\n");
}

gboolean on_button3_clicked(GtkWidget *widget, GdkEventButton *event,                          				    gpointer user_data)
{
    printf("Click these buttons...\n");
}

gboolean on_button4_clicked(GtkWidget *widget, GdkEventButton *event,                          				    gpointer user_data)
{
    printf("You clicked it! Exiting program.\n");
    gtk_main_quit(); // QUIT
}

int main(int argc, char *argv[]) {
    GladeXML *xml;
    GtkWidget *widget;

    gtk_init(&argc, &argv);

    /* load the interface */
    xml = glade_xml_new("TestWindow2.glade", NULL, NULL);

    /* Add signal handlers */
    widget = glade_xml_get_widget (xml, "button1");
    g_signal_connect(G_OBJECT(widget),"clicked",G_CALLBACK(on_button1_clicked),NULL);

    widget = glade_xml_get_widget (xml, "button2");
    g_signal_connect(G_OBJECT(widget),"clicked",G_CALLBACK(on_button2_clicked),NULL);

    widget = glade_xml_get_widget (xml, "button3");
    g_signal_connect(G_OBJECT(widget),"clicked",G_CALLBACK(on_button3_clicked),NULL);

    widget = glade_xml_get_widget (xml, "button4");
    g_signal_connect(G_OBJECT(widget),"clicked",G_CALLBACK(on_button4_clicked),NULL);

    /* start the event loop */
    gtk_main();

    return 0;
}
